PROGRAM_NAME='Samsung, iTV, REV01'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 03/17/2010 AMT: 11:19:00               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 03/17/2010 AMT: 11:19:00         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION:                                         *)
(*  REVISION DATE: 03/17/2010                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)
(************************************************************************)
(* System Type :                                          17.03.2010BR  *)
(*                                                                      *)
(*                                                                      *)
(************************************************************************)
(************************************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW                          *)
(************************************************************************)
DEFINE_DEVICE

dvMaster_1 =     0:01:0 (* NETLINX MASTER                               *)
dviTV____1 =     0:02:0 (* Samsung UE-46C6820		    NI-RS232    *)

dvRS232__1 =  5001:01:0 (* 				    NI-RS232    *)
dvRS232__2 =  5001:02:0 (* 				    NI-RS232    *)

//dvRELAIS_1 =  5001:04:0 (*                                  NI-Relais   *)

//dvSAT____1 =  5001:05:0 (*                                  NI-IR       *)
//dvIR_____2 =  5001:06:0 (*                                  NI-IR       *)
//dvIR_____3 =  5001:07:0 (*                                  NI-IR       *)

//dvIO_____1 =  5001:17:0 (*                                  NI-I/O      *)

/* TP Chambre Master*/
dvTP__1__1 = 10001:01:1 (* TOUCHPANEL                       MVP-8400    *)
dvTP__1__2 = 10001:02:1 (* TV		                    iPad        *)

vdviTV___1 = 34001:01:0 (* VIRTUAL Device AV-Receiver	                *)

#INCLUDE'SNAPI.AXI'
#INCLUDE'G4API.AXI'

(************************************************************************)
(*               CONSTANT DEFINITIONS GO BELOW                          *)
(************************************************************************)
DEFINE_CONSTANT


(************************************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW                          *)
(************************************************************************)
DEFINE_TYPE

(************************************************************************)
(*               VARIABLE DEFINITIONS GO BELOW                          *)
(************************************************************************)
DEFINE_VARIABLE

//URL_STRUCT strUrlList[04] 


(************************************************************************)
(* BEGIN VARIABLE BENCHMARK                               17.03.2010 BR *)
(************************************************************************)

INTEGER nBenchmark                      // LEISTUNGSTEST CPU

(************************************************************************)
(* ENDE  VARIABLE BENCHMARK                               17.03.2010 BR *)
(************************************************************************)
(************************************************************************)
(*               LATCHING DEFINITIONS GO BELOW                          *)
(************************************************************************)
DEFINE_LATCHING

(************************************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW                        *)
(************************************************************************)
DEFINE_MUTUALLY_EXCLUSIVE


(************************************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW                      *)
(************************************************************************)



(************************************************************************)
(*                STARTUP CODE GOES BELOW                               *)
(************************************************************************)
DEFINE_START


(************************************************************************)
(* BEGIN DEFINE_MODULE                                    12.08.2009 BA *)
(************************************************************************)


DEFINE_MODULE 'M_Samsung, iTV, UI, REV01' iTVUI		(vdviTV___1,
							 dvTP__1__2)
DEFINE_MODULE 'M_Samsung, iTV, COMM, REV01' iTVCOMM	(vdviTV___1,
							 dviTV____1)


(************************************************************************)
(* END DEFINE_MODULE                                      12.08.2009 BA *)
(************************************************************************)

(************************************************************************)
(*                THE EVENTS GOES BELOW                                 *)
(************************************************************************)
DEFINE_EVENT

BUTTON_EVENT[dvTP__1__1,11]	// Connect
  {
  PUSH:
    {
    SEND_COMMAND vdviTV___1,"'CONNECT-1'"
    }
  }

BUTTON_EVENT[dvTP__1__1,12]	// Disconnect
  {
  PUSH:
    {
    SEND_COMMAND vdviTV___1,"'CONNECT-0'"
    }
  }

(************************************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                             *)
(************************************************************************)
DEFINE_PROGRAM

(************************************************************************)
(* BEGIN BENCHMARK                                        17.03.2010 BR *)
(************************************************************************)

nBenchmark++                          // LEISTUNGSTEST CPU

WAIT 50
  {
  SEND_STRING 0,"ITOA(nBenchmark/5),$0A,$0D"
  nBenchmark=0                        // LEISTUNGSTEST CPU
  }

(************************************************************************)
(* ENDE  BENCHMARK                                          17.03.2010 BR *)
(************************************************************************)
(************************************************************************)
(*                     END OF PROGRAM                                   *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT                        *)
(************************************************************************)